/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

// export async function shopOrderExport(
//   params,
//   options,
// ) {
//   return request('/admin/shop_order/export', {
//     method: 'GET',
//     params: {
//       ...params,
//     },
//     ...(options || {}),
//   });
// }

export async function shopOrderItems(
  params,
  options,
) {
  return request('/admin/shop_order/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function shopOrderBonus(
  params,
  options,
) {
  return request('/admin/shop_order/bonus', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function shopOrderRefund(
  body,
  options,
) {

  return request('/admin/shop_order/refund', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });

}

export async function shopOrderCreate(
  body,
  options,
) {

  return request('/admin/shop_order/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });

}

